Bug 1782173 - rdma-core-devel obsoleting infiniband-diags-devel causes build failures
Summary: rdma-core-devel obsoleting infiniband-diags-devel causes build failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rdma-core
Version: 8.2
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: 8.2
Assignee: Honggang LI
QA Contact: Infiniband QE
URL:
Whiteboard:
Depends On:
Blocks: 1723598 1783446
TreeView+ depends on / blocked
 
Reported: 2019-12-11 10:35 UTC by Nathan Scott
Modified: 2020-04-28 16:57 UTC (History)
8 users (show)

Fixed In Version: rdma-core-26.0-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:57:33 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:1865 None None None 2020-04-28 16:57:51 UTC

Description Nathan Scott 2019-12-11 10:35:52 UTC
Preparing a PCP package update for RHEL 8.2 we're seeing a build failure related to rdma-core (presumably via the Infiniband support in PCP ...?)

http://download.eng.bos.redhat.com/brewroot/work/tasks/7104/25297104/root.log

This built fine a few weeks back, but now we have an (indirect) dependency issue.
PCP has the following build deps:

BuildRequires: libibmad-devel >= 1.3.7 libibumad-devel >= 1.3.7

We cannot build a final PCP update for 8.2 at this point due to this issue - as a result, its extremely urgent for us.  Many thanks for your assistance!

Comment 1 Nathan Scott 2019-12-11 10:39:53 UTC
For posterity, if that build log link goes away, the error is:

DEBUG util.py:439:  Error: 
DEBUG util.py:439:   Problem: package rdma-core-devel-26.0-4.el8.x86_64 obsoletes infiniband-diags-devel < 26.0-4.el8 provided by infiniband-diags-devel-2.2.0-3.el8.x86_64

cheers.

Comment 2 Nathan Scott 2019-12-11 10:56:34 UTC
Also for reference, here are the pcp sub-package deps...

#
# pcp-pmda-infiniband
#
%package pmda-infiniband
License: GPLv2+
Summary: Performance Co-Pilot (PCP) metrics for Infiniband HCAs and switches
URL: https://pcp.io
Requires: pcp = %{version}-%{release} pcp-libs = %{version}-%{release}
Requires: libibmad >= 1.3.7 libibumad >= 1.3.7
BuildRequires: libibmad-devel >= 1.3.7 libibumad-devel >= 1.3.7

%description pmda-infiniband
This package contains the PCP Performance Metrics Domain Agent (PMDA) for
collecting Infiniband statistics.  By default, it monitors the local HCAs
but can also be configured to monitor remote GUIDs such as IB switches.

Comment 3 Honggang LI 2019-12-11 12:52:16 UTC

*** This bug has been marked as a duplicate of bug 1781454 ***

Comment 8 zguo 2019-12-23 02:37:20 UTC
Per comment 6 & 7, moving to VERIFIED.

Comment 10 errata-xmlrpc 2020-04-28 16:57:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:1865


Note You need to log in before you can comment on or make changes to this bug.